Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.domain
Class NewCertificateContract

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.domain.Contract
          be.fgov.ehealth.technicalconnector.ra.domain.NewCertificateContract

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RenewCertificateContract

    public class NewCertificateContract

extends Contract

Contract used by requesting a new certificate.

See Also:
  Serialized Form

Constructor Summary
`NewCertificateContract(DistinguishedName name, ContactData contact, UsageType... types)`

Method Summary
`ContactData` | `getContact()`
`DistinguishedName` | `getDistinguishedName()`
`byte[]` | `getPkcs10DerEncoded()`
`Set<UsageType>` | `getUsageTypes()`
`void` | `setPkcs10DerEncoded(byte[] pkcs10)`

Methods inherited from class be.fgov.ehealth.technicalconnector.ra.domain.Contract
`getContract, getRequestor, isContractViewed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewCertificateContract

    public NewCertificateContract(DistinguishedName name,
                                  ContactData contact,
                                  UsageType... types)
                           throws TechnicalConnectorException

Throws:
  `TechnicalConnectorException`

Method Detail

### getContact

    public ContactData getContact()

### getUsageTypes

    public Set<UsageType> getUsageTypes()

### getDistinguishedName

    public DistinguishedName getDistinguishedName()

### setPkcs10DerEncoded

    public void setPkcs10DerEncoded(byte[] pkcs10)

### getPkcs10DerEncoded

    public byte[] getPkcs10DerEncoded()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.